> For the complete documentation index, see [llms.txt](https://docs.allganize.ai/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.allganize.ai/api-reference/korean/conversations.md).

# Conversations

Folder related APIs

## 목록 대화 가져오기

> 대화 목록을 가져옵니다. 대화는 기본적으로 마지막 대화 시간 기준으로 내림차순으로 정렬됩니다.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"Conversations","description":"Folder related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}},"schemas":{"ConversationsResponse":{"properties":{"conversations":{"items":{"$ref":"#/components/schemas/Conversation"},"title":"Conversations","type":"array"},"cursor":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"페이지 네비게이션을 위한 커서","title":"Cursor"}},"required":["conversations","cursor"],"title":"ConversationsResponse","type":"object"},"Conversation":{"properties":{"id":{"description":"대화의 고유 ID","title":"Id","type":"string"},"title":{"description":"대화의 제목","title":"Title","type":"string"},"user":{"anyOf":[{"$ref":"#/components/schemas/User"},{"type":"null"}],"description":"유저 정보"},"createdAt":{"description":"대화 생성 시간","title":"Createdat","type":"number"},"lastChatTime":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"대화 마지막 대화 시간","title":"Lastchattime"},"isEnd":{"description":"대화가 완료되었습니까 아니면 안 되었습니까?","title":"Isend","type":"boolean"},"categories":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"대화 카테고리","title":"Categories"},"memo":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"대화 메모","title":"Memo"},"chats":{"description":"대화 정보","items":{"$ref":"#/components/schemas/Chat"},"title":"Chats","type":"array"},"chatCount":{"description":"총 대화 수","title":"Chatcount","type":"integer"},"llmApp":{"anyOf":[{"$ref":"#/components/schemas/LLMApp"},{"type":"null"}],"description":"LLM 앱 정보"},"variables":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"description":"변수","title":"Variables"}},"required":["id","title","user","createdAt","lastChatTime","isEnd","categories","memo","chats","chatCount","llmApp","variables"],"title":"Conversation","type":"object"},"User":{"properties":{"userId":{"description":"유저의 고유 ID","title":"Userid","type":"string"},"firstName":{"description":"유저의 이름","title":"Firstname","type":"string"},"lastName":{"description":"유저의 성씨","title":"Lastname","type":"string"}},"required":["userId","firstName","lastName"],"title":"User","type":"object"},"Chat":{"properties":{"id":{"description":"대화의 고유 ID","title":"Id","type":"string"},"type":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Node type of the chat","title":"Type"},"sender":{"description":"보내는 사람 유형","title":"Sender","type":"string"},"message":{"description":"대화 메시지","title":"Message","type":"string"},"source":{"anyOf":[{"$ref":"#/components/schemas/ChatInputSource"},{"type":"null"}],"description":"Source of the chat"},"timestamp":{"description":"대화 메시지 생성 시간의 타임스탬프","title":"Timestamp","type":"number"},"completed":{"description":"Whether the chat generation is completed","title":"Completed","type":"boolean"},"citations":{"anyOf":[{"items":{"$ref":"#/components/schemas/Citation"},"type":"array"},{"type":"null"}],"description":"인용 정보","title":"Citations"},"rating":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"대화 평가","title":"Rating"},"agentRating":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"대화의 에이전트 평가","title":"Agentrating"}},"required":["id","sender","message","timestamp","completed","citations","rating","agentRating"],"title":"Chat","type":"object"},"ChatInputSource":{"description":"Chat input source information in response.","properties":{"knowledgeBaseIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of knowledge base IDs","title":"Knowledgebaseids"},"folderIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of folder IDs","title":"Folderids"},"webSites":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of web sites","title":"Websites"},"searchAllSharedDocument":{"default":false,"description":"Search all shared documents","title":"Searchallshareddocument","type":"boolean"},"searchAllPersonalDocument":{"default":false,"description":"Search all personal documents","title":"Searchallpersonaldocument","type":"boolean"},"includingHashtags":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"Including hashtags","title":"Includinghashtags"},"excludingHashtags":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"Excluding hashtags","title":"Excludinghashtags"},"includingHashtagsOperator":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Including hashtags operator","title":"Includinghashtagsoperator"},"excludingHashtagsOperator":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Excluding hashtags operator","title":"Excludinghashtagsoperator"},"sharedKnowledgeBases":{"anyOf":[{"items":{"$ref":"#/components/schemas/KnowledgeBaseInfo"},"type":"array"},{"type":"null"}],"description":"Shared knowledge bases with details","title":"Sharedknowledgebases"},"sharedFolders":{"anyOf":[{"items":{"$ref":"#/components/schemas/FolderInfo"},"type":"array"},{"type":"null"}],"description":"Shared folders with details","title":"Sharedfolders"},"personalKnowledgeBases":{"anyOf":[{"items":{"$ref":"#/components/schemas/KnowledgeBaseInfo"},"type":"array"},{"type":"null"}],"description":"Personal knowledge bases with details","title":"Personalknowledgebases"},"personalFolders":{"anyOf":[{"items":{"$ref":"#/components/schemas/FolderInfo"},"type":"array"},{"type":"null"}],"description":"Personal folders with details","title":"Personalfolders"}},"title":"ChatInputSource","type":"object"},"KnowledgeBaseInfo":{"description":"Knowledge base information in response.","properties":{"id":{"description":"Unique ID of the knowledge base","title":"Id","type":"string"},"name":{"description":"Name of the knowledge base","title":"Name","type":"string"}},"required":["id","name"],"title":"KnowledgeBaseInfo","type":"object"},"FolderInfo":{"description":"Folder information in response.","properties":{"id":{"description":"Unique ID of the folder","title":"Id","type":"string"},"name":{"description":"Name of the folder","title":"Name","type":"string"}},"required":["id","name"],"title":"FolderInfo","type":"object"},"Citation":{"properties":{"clueId":{"description":"단서의 고유 ID","title":"Clueid","type":"string"},"source":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"인용 출처","title":"Source"},"title":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"단서의 문서 제목","title":"Title"},"url":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"인용문의 URL","title":"Url"},"text":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"인용문 텍스트","title":"Text"}},"required":["clueId"],"title":"Citation","type":"object"},"LLMApp":{"properties":{"id":{"description":"LLM 앱의 고유 ID","title":"Id","type":"string"},"name":{"description":"LLM 앱의 이름","title":"Name","type":"string"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"LLM 앱 설명","title":"Description"}},"required":["id","name"],"title":"LLMApp","type":"object"}}},"paths":{"/webapi/v2/conversations":{"get":{"operationId":"django_server_llm_app_views_rest_conversation_api_get_list_conversations","summary":"목록 대화 가져오기","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"in":"query","name":"userIds","schema":{"anyOf":[{"items":{},"type":"array"},{"type":"null"}],"title":"Userids"},"required":false},{"in":"query","name":"llmAppId","schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Llmappid"},"required":false},{"in":"query","name":"categoryId","schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Categoryid"},"required":false},{"in":"query","name":"startedAt","schema":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"이 값 이전의 첫 번째 대화 시간을 검색하십시오.","title":"Startedat"},"required":false,"description":"이 값 이전의 첫 번째 대화 시간을 검색하십시오."},{"in":"query","name":"endAt","schema":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Search for last chat time before this value","title":"Endat"},"required":false,"description":"Search for last chat time before this value"},{"in":"query","name":"firstChatStartedAt","schema":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Search for first chat time after this value","title":"Firstchatstartedat"},"required":false,"description":"Search for first chat time after this value"},{"in":"query","name":"firstChatEndAt","schema":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Search for first chat time before this value","title":"Firstchatendat"},"required":false,"description":"Search for first chat time before this value"},{"in":"query","name":"searchTerm","schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Searchterm"},"required":false},{"in":"query","name":"cursor","schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Cursor"},"required":false},{"in":"query","name":"variables","schema":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"title":"Variables"},"required":false},{"in":"query","name":"pageSize","schema":{"default":50,"maximum":50,"minimum":1,"title":"Pagesize","type":"integer"},"required":false},{"in":"query","name":"activeOnly","schema":{"default":false,"title":"Activeonly","type":"boolean"},"required":false},{"in":"query","name":"backgroundRunning","schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Backgroundrunning"},"required":false},{"in":"query","name":"order","schema":{"allOf":[{"enum":["LAST_CHAT_TIME_DESC","LAST_CHAT_TIME_ASC","FIRST_CHAT_TIME_DESC","FIRST_CHAT_TIME_ASC"],"title":"ConversationListOrderEnum","type":"string"}],"default":"LAST_CHAT_TIME_DESC"},"required":false}],"responses":{"200":{"description":"알겠습니다","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConversationsResponse"}}}},"400":{"description":"Invalid request parameters."},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"500":{"description":"Internal server error."}},"description":"대화 목록을 가져옵니다. 대화는 기본적으로 마지막 대화 시간 기준으로 내림차순으로 정렬됩니다.","tags":["Conversations"]}}}}
```

## 대화 설정

> Update state, assignee, title, or categories for multiple conversations at once. Filter by conversation IDs, user IDs, app IDs, or category IDs.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"Conversations","description":"Folder related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}},"schemas":{"SetBulkConversationsRequest":{"properties":{"userIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"필터링을 위한 유저의 ID","title":"Userids"},"llmAppIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"필터링을 위한 llm 앱의 ID","title":"Llmappids"},"categoryIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"필터링을 위한 대화 카테고리의 ID","title":"Categoryids"},"conversationIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"필터링을 위한 대화 ID","title":"Conversationids"},"conversationInfo":{"$ref":"#/components/schemas/ConversationInfoRequest","description":"업데이트를 위한 대화 정보"}},"required":["conversationInfo"],"title":"SetBulkConversationsRequest","type":"object"},"ConversationInfoRequest":{"properties":{"state":{"anyOf":[{"$ref":"#/components/schemas/ConversationStateEnum"},{"type":"null"}],"description":"대화의 상태"},"assignee":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"대화의 담당자","title":"Assignee"},"categoryIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"카테고리의 ID","title":"Categoryids"},"title":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"대화의 제목","title":"Title"}},"title":"ConversationInfoRequest","type":"object"},"ConversationStateEnum":{"enum":["no","eb","ea","eu","wa","wu","wu2","in","pnd","eo","lck"],"title":"ConversationStateEnum","type":"string"}}},"paths":{"/webapi/v2/conversations/bulk_update":{"post":{"operationId":"django_server_llm_app_views_rest_conversation_api_set_conversations","summary":"대화 설정","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"}],"responses":{"200":{"description":"알겠습니다"},"400":{"description":"Invalid request parameters."},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"500":{"description":"Internal server error."}},"description":"Update state, assignee, title, or categories for multiple conversations at once. Filter by conversation IDs, user IDs, app IDs, or category IDs.","tags":["Conversations"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SetBulkConversationsRequest"}}},"required":true}}}}}
```

## ID로 대화 가져오기

> 대화를 시작해 주세요.\
> \
> 대화에 제공된 대화은 가장 최근의 20건입니다.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"Conversations","description":"Folder related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}},"schemas":{"Conversation":{"properties":{"id":{"description":"대화의 고유 ID","title":"Id","type":"string"},"title":{"description":"대화의 제목","title":"Title","type":"string"},"user":{"anyOf":[{"$ref":"#/components/schemas/User"},{"type":"null"}],"description":"유저 정보"},"createdAt":{"description":"대화 생성 시간","title":"Createdat","type":"number"},"lastChatTime":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"대화 마지막 대화 시간","title":"Lastchattime"},"isEnd":{"description":"대화가 완료되었습니까 아니면 안 되었습니까?","title":"Isend","type":"boolean"},"categories":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"대화 카테고리","title":"Categories"},"memo":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"대화 메모","title":"Memo"},"chats":{"description":"대화 정보","items":{"$ref":"#/components/schemas/Chat"},"title":"Chats","type":"array"},"chatCount":{"description":"총 대화 수","title":"Chatcount","type":"integer"},"llmApp":{"anyOf":[{"$ref":"#/components/schemas/LLMApp"},{"type":"null"}],"description":"LLM 앱 정보"},"variables":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"description":"변수","title":"Variables"}},"required":["id","title","user","createdAt","lastChatTime","isEnd","categories","memo","chats","chatCount","llmApp","variables"],"title":"Conversation","type":"object"},"User":{"properties":{"userId":{"description":"유저의 고유 ID","title":"Userid","type":"string"},"firstName":{"description":"유저의 이름","title":"Firstname","type":"string"},"lastName":{"description":"유저의 성씨","title":"Lastname","type":"string"}},"required":["userId","firstName","lastName"],"title":"User","type":"object"},"Chat":{"properties":{"id":{"description":"대화의 고유 ID","title":"Id","type":"string"},"type":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Node type of the chat","title":"Type"},"sender":{"description":"보내는 사람 유형","title":"Sender","type":"string"},"message":{"description":"대화 메시지","title":"Message","type":"string"},"source":{"anyOf":[{"$ref":"#/components/schemas/ChatInputSource"},{"type":"null"}],"description":"Source of the chat"},"timestamp":{"description":"대화 메시지 생성 시간의 타임스탬프","title":"Timestamp","type":"number"},"completed":{"description":"Whether the chat generation is completed","title":"Completed","type":"boolean"},"citations":{"anyOf":[{"items":{"$ref":"#/components/schemas/Citation"},"type":"array"},{"type":"null"}],"description":"인용 정보","title":"Citations"},"rating":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"대화 평가","title":"Rating"},"agentRating":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"대화의 에이전트 평가","title":"Agentrating"}},"required":["id","sender","message","timestamp","completed","citations","rating","agentRating"],"title":"Chat","type":"object"},"ChatInputSource":{"description":"Chat input source information in response.","properties":{"knowledgeBaseIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of knowledge base IDs","title":"Knowledgebaseids"},"folderIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of folder IDs","title":"Folderids"},"webSites":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of web sites","title":"Websites"},"searchAllSharedDocument":{"default":false,"description":"Search all shared documents","title":"Searchallshareddocument","type":"boolean"},"searchAllPersonalDocument":{"default":false,"description":"Search all personal documents","title":"Searchallpersonaldocument","type":"boolean"},"includingHashtags":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"Including hashtags","title":"Includinghashtags"},"excludingHashtags":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"Excluding hashtags","title":"Excludinghashtags"},"includingHashtagsOperator":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Including hashtags operator","title":"Includinghashtagsoperator"},"excludingHashtagsOperator":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Excluding hashtags operator","title":"Excludinghashtagsoperator"},"sharedKnowledgeBases":{"anyOf":[{"items":{"$ref":"#/components/schemas/KnowledgeBaseInfo"},"type":"array"},{"type":"null"}],"description":"Shared knowledge bases with details","title":"Sharedknowledgebases"},"sharedFolders":{"anyOf":[{"items":{"$ref":"#/components/schemas/FolderInfo"},"type":"array"},{"type":"null"}],"description":"Shared folders with details","title":"Sharedfolders"},"personalKnowledgeBases":{"anyOf":[{"items":{"$ref":"#/components/schemas/KnowledgeBaseInfo"},"type":"array"},{"type":"null"}],"description":"Personal knowledge bases with details","title":"Personalknowledgebases"},"personalFolders":{"anyOf":[{"items":{"$ref":"#/components/schemas/FolderInfo"},"type":"array"},{"type":"null"}],"description":"Personal folders with details","title":"Personalfolders"}},"title":"ChatInputSource","type":"object"},"KnowledgeBaseInfo":{"description":"Knowledge base information in response.","properties":{"id":{"description":"Unique ID of the knowledge base","title":"Id","type":"string"},"name":{"description":"Name of the knowledge base","title":"Name","type":"string"}},"required":["id","name"],"title":"KnowledgeBaseInfo","type":"object"},"FolderInfo":{"description":"Folder information in response.","properties":{"id":{"description":"Unique ID of the folder","title":"Id","type":"string"},"name":{"description":"Name of the folder","title":"Name","type":"string"}},"required":["id","name"],"title":"FolderInfo","type":"object"},"Citation":{"properties":{"clueId":{"description":"단서의 고유 ID","title":"Clueid","type":"string"},"source":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"인용 출처","title":"Source"},"title":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"단서의 문서 제목","title":"Title"},"url":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"인용문의 URL","title":"Url"},"text":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"인용문 텍스트","title":"Text"}},"required":["clueId"],"title":"Citation","type":"object"},"LLMApp":{"properties":{"id":{"description":"LLM 앱의 고유 ID","title":"Id","type":"string"},"name":{"description":"LLM 앱의 이름","title":"Name","type":"string"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"LLM 앱 설명","title":"Description"}},"required":["id","name"],"title":"LLMApp","type":"object"}}},"paths":{"/webapi/v2/conversations/{conversation_id}":{"get":{"operationId":"django_server_llm_app_views_rest_conversation_api_get_conversation_by_id","summary":"ID로 대화 가져오기","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"in":"path","name":"conversation_id","schema":{"title":"Conversation Id","type":"string"},"required":true},{"in":"query","name":"variables","schema":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"Comma separated list of variables to include in the response","title":"Variables"},"required":false,"description":"Comma separated list of variables to include in the response"}],"responses":{"200":{"description":"알겠습니다.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Conversation"}}}},"400":{"description":"Invalid request parameters."},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"500":{"description":"Internal server error."}},"description":"대화를 시작해 주세요.\n\n대화에 제공된 대화은 가장 최근의 20건입니다.","tags":["Conversations"]}}}}
```

## 대화 설정

> Partially update a conversation's state, assignee, title, or categories.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"Conversations","description":"Folder related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}},"schemas":{"Conversation":{"properties":{"id":{"description":"대화의 고유 ID","title":"Id","type":"string"},"title":{"description":"대화의 제목","title":"Title","type":"string"},"user":{"anyOf":[{"$ref":"#/components/schemas/User"},{"type":"null"}],"description":"유저 정보"},"createdAt":{"description":"대화 생성 시간","title":"Createdat","type":"number"},"lastChatTime":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"대화 마지막 대화 시간","title":"Lastchattime"},"isEnd":{"description":"대화가 완료되었습니까 아니면 안 되었습니까?","title":"Isend","type":"boolean"},"categories":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"대화 카테고리","title":"Categories"},"memo":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"대화 메모","title":"Memo"},"chats":{"description":"대화 정보","items":{"$ref":"#/components/schemas/Chat"},"title":"Chats","type":"array"},"chatCount":{"description":"총 대화 수","title":"Chatcount","type":"integer"},"llmApp":{"anyOf":[{"$ref":"#/components/schemas/LLMApp"},{"type":"null"}],"description":"LLM 앱 정보"},"variables":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"description":"변수","title":"Variables"}},"required":["id","title","user","createdAt","lastChatTime","isEnd","categories","memo","chats","chatCount","llmApp","variables"],"title":"Conversation","type":"object"},"User":{"properties":{"userId":{"description":"유저의 고유 ID","title":"Userid","type":"string"},"firstName":{"description":"유저의 이름","title":"Firstname","type":"string"},"lastName":{"description":"유저의 성씨","title":"Lastname","type":"string"}},"required":["userId","firstName","lastName"],"title":"User","type":"object"},"Chat":{"properties":{"id":{"description":"대화의 고유 ID","title":"Id","type":"string"},"type":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Node type of the chat","title":"Type"},"sender":{"description":"보내는 사람 유형","title":"Sender","type":"string"},"message":{"description":"대화 메시지","title":"Message","type":"string"},"source":{"anyOf":[{"$ref":"#/components/schemas/ChatInputSource"},{"type":"null"}],"description":"Source of the chat"},"timestamp":{"description":"대화 메시지 생성 시간의 타임스탬프","title":"Timestamp","type":"number"},"completed":{"description":"Whether the chat generation is completed","title":"Completed","type":"boolean"},"citations":{"anyOf":[{"items":{"$ref":"#/components/schemas/Citation"},"type":"array"},{"type":"null"}],"description":"인용 정보","title":"Citations"},"rating":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"대화 평가","title":"Rating"},"agentRating":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"대화의 에이전트 평가","title":"Agentrating"}},"required":["id","sender","message","timestamp","completed","citations","rating","agentRating"],"title":"Chat","type":"object"},"ChatInputSource":{"description":"Chat input source information in response.","properties":{"knowledgeBaseIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of knowledge base IDs","title":"Knowledgebaseids"},"folderIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of folder IDs","title":"Folderids"},"webSites":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of web sites","title":"Websites"},"searchAllSharedDocument":{"default":false,"description":"Search all shared documents","title":"Searchallshareddocument","type":"boolean"},"searchAllPersonalDocument":{"default":false,"description":"Search all personal documents","title":"Searchallpersonaldocument","type":"boolean"},"includingHashtags":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"Including hashtags","title":"Includinghashtags"},"excludingHashtags":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"Excluding hashtags","title":"Excludinghashtags"},"includingHashtagsOperator":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Including hashtags operator","title":"Includinghashtagsoperator"},"excludingHashtagsOperator":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Excluding hashtags operator","title":"Excludinghashtagsoperator"},"sharedKnowledgeBases":{"anyOf":[{"items":{"$ref":"#/components/schemas/KnowledgeBaseInfo"},"type":"array"},{"type":"null"}],"description":"Shared knowledge bases with details","title":"Sharedknowledgebases"},"sharedFolders":{"anyOf":[{"items":{"$ref":"#/components/schemas/FolderInfo"},"type":"array"},{"type":"null"}],"description":"Shared folders with details","title":"Sharedfolders"},"personalKnowledgeBases":{"anyOf":[{"items":{"$ref":"#/components/schemas/KnowledgeBaseInfo"},"type":"array"},{"type":"null"}],"description":"Personal knowledge bases with details","title":"Personalknowledgebases"},"personalFolders":{"anyOf":[{"items":{"$ref":"#/components/schemas/FolderInfo"},"type":"array"},{"type":"null"}],"description":"Personal folders with details","title":"Personalfolders"}},"title":"ChatInputSource","type":"object"},"KnowledgeBaseInfo":{"description":"Knowledge base information in response.","properties":{"id":{"description":"Unique ID of the knowledge base","title":"Id","type":"string"},"name":{"description":"Name of the knowledge base","title":"Name","type":"string"}},"required":["id","name"],"title":"KnowledgeBaseInfo","type":"object"},"FolderInfo":{"description":"Folder information in response.","properties":{"id":{"description":"Unique ID of the folder","title":"Id","type":"string"},"name":{"description":"Name of the folder","title":"Name","type":"string"}},"required":["id","name"],"title":"FolderInfo","type":"object"},"Citation":{"properties":{"clueId":{"description":"단서의 고유 ID","title":"Clueid","type":"string"},"source":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"인용 출처","title":"Source"},"title":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"단서의 문서 제목","title":"Title"},"url":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"인용문의 URL","title":"Url"},"text":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"인용문 텍스트","title":"Text"}},"required":["clueId"],"title":"Citation","type":"object"},"LLMApp":{"properties":{"id":{"description":"LLM 앱의 고유 ID","title":"Id","type":"string"},"name":{"description":"LLM 앱의 이름","title":"Name","type":"string"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"LLM 앱 설명","title":"Description"}},"required":["id","name"],"title":"LLMApp","type":"object"},"ConversationInfoRequest":{"properties":{"state":{"anyOf":[{"$ref":"#/components/schemas/ConversationStateEnum"},{"type":"null"}],"description":"대화의 상태"},"assignee":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"대화의 담당자","title":"Assignee"},"categoryIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"카테고리의 ID","title":"Categoryids"},"title":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"대화의 제목","title":"Title"}},"title":"ConversationInfoRequest","type":"object"},"ConversationStateEnum":{"enum":["no","eb","ea","eu","wa","wu","wu2","in","pnd","eo","lck"],"title":"ConversationStateEnum","type":"string"}}},"paths":{"/webapi/v2/conversations/{conversation_id}":{"patch":{"operationId":"django_server_llm_app_views_rest_conversation_api_set_conversation","summary":"대화 설정","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"in":"path","name":"conversation_id","schema":{"title":"Conversation Id","type":"string"},"required":true}],"responses":{"200":{"description":"알겠습니다.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Conversation"}}}},"400":{"description":"Invalid request parameters."},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"500":{"description":"Internal server error."}},"description":"Partially update a conversation's state, assignee, title, or categories.","tags":["Conversations"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConversationInfoRequest"}}},"required":true}}}}}
```

## 대화 목록 대화

> 대화 대화을 가져오세요. 대화은 타임스탬프를 기준으로 오름차순으로 정렬됩니다.\
> \
> 대화 페이지 크기는 100입니다.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"Conversations","description":"Folder related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}},"schemas":{"ChatsResponse":{"properties":{"chats":{"items":{"$ref":"#/components/schemas/Chat"},"title":"Chats","type":"array"},"pageNo":{"title":"Pageno","type":"integer"},"totalCount":{"title":"Totalcount","type":"integer"}},"required":["chats","pageNo","totalCount"],"title":"ChatsResponse","type":"object"},"Chat":{"properties":{"id":{"description":"대화의 고유 ID","title":"Id","type":"string"},"type":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Node type of the chat","title":"Type"},"sender":{"description":"보내는 사람 유형","title":"Sender","type":"string"},"message":{"description":"대화 메시지","title":"Message","type":"string"},"source":{"anyOf":[{"$ref":"#/components/schemas/ChatInputSource"},{"type":"null"}],"description":"Source of the chat"},"timestamp":{"description":"대화 메시지 생성 시간의 타임스탬프","title":"Timestamp","type":"number"},"completed":{"description":"Whether the chat generation is completed","title":"Completed","type":"boolean"},"citations":{"anyOf":[{"items":{"$ref":"#/components/schemas/Citation"},"type":"array"},{"type":"null"}],"description":"인용 정보","title":"Citations"},"rating":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"대화 평가","title":"Rating"},"agentRating":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"대화의 에이전트 평가","title":"Agentrating"}},"required":["id","sender","message","timestamp","completed","citations","rating","agentRating"],"title":"Chat","type":"object"},"ChatInputSource":{"description":"Chat input source information in response.","properties":{"knowledgeBaseIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of knowledge base IDs","title":"Knowledgebaseids"},"folderIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of folder IDs","title":"Folderids"},"webSites":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of web sites","title":"Websites"},"searchAllSharedDocument":{"default":false,"description":"Search all shared documents","title":"Searchallshareddocument","type":"boolean"},"searchAllPersonalDocument":{"default":false,"description":"Search all personal documents","title":"Searchallpersonaldocument","type":"boolean"},"includingHashtags":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"Including hashtags","title":"Includinghashtags"},"excludingHashtags":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"Excluding hashtags","title":"Excludinghashtags"},"includingHashtagsOperator":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Including hashtags operator","title":"Includinghashtagsoperator"},"excludingHashtagsOperator":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Excluding hashtags operator","title":"Excludinghashtagsoperator"},"sharedKnowledgeBases":{"anyOf":[{"items":{"$ref":"#/components/schemas/KnowledgeBaseInfo"},"type":"array"},{"type":"null"}],"description":"Shared knowledge bases with details","title":"Sharedknowledgebases"},"sharedFolders":{"anyOf":[{"items":{"$ref":"#/components/schemas/FolderInfo"},"type":"array"},{"type":"null"}],"description":"Shared folders with details","title":"Sharedfolders"},"personalKnowledgeBases":{"anyOf":[{"items":{"$ref":"#/components/schemas/KnowledgeBaseInfo"},"type":"array"},{"type":"null"}],"description":"Personal knowledge bases with details","title":"Personalknowledgebases"},"personalFolders":{"anyOf":[{"items":{"$ref":"#/components/schemas/FolderInfo"},"type":"array"},{"type":"null"}],"description":"Personal folders with details","title":"Personalfolders"}},"title":"ChatInputSource","type":"object"},"KnowledgeBaseInfo":{"description":"Knowledge base information in response.","properties":{"id":{"description":"Unique ID of the knowledge base","title":"Id","type":"string"},"name":{"description":"Name of the knowledge base","title":"Name","type":"string"}},"required":["id","name"],"title":"KnowledgeBaseInfo","type":"object"},"FolderInfo":{"description":"Folder information in response.","properties":{"id":{"description":"Unique ID of the folder","title":"Id","type":"string"},"name":{"description":"Name of the folder","title":"Name","type":"string"}},"required":["id","name"],"title":"FolderInfo","type":"object"},"Citation":{"properties":{"clueId":{"description":"단서의 고유 ID","title":"Clueid","type":"string"},"source":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"인용 출처","title":"Source"},"title":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"단서의 문서 제목","title":"Title"},"url":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"인용문의 URL","title":"Url"},"text":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"인용문 텍스트","title":"Text"}},"required":["clueId"],"title":"Citation","type":"object"}}},"paths":{"/webapi/v2/conversations/{conversation_id}/chats":{"get":{"operationId":"django_server_llm_app_views_rest_conversation_api_list_conversation_chats","summary":"대화 목록 대화","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"in":"path","name":"conversation_id","schema":{"title":"Conversation Id","type":"string"},"required":true},{"in":"query","name":"pageNo","schema":{"default":1,"minimum":1,"title":"Pageno","type":"integer"},"required":false}],"responses":{"200":{"description":"좋아","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChatsResponse"}}}},"400":{"description":"Invalid request parameters."},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"500":{"description":"Internal server error."}},"description":"대화 대화을 가져오세요. 대화은 타임스탬프를 기준으로 오름차순으로 정렬됩니다.\n\n대화 페이지 크기는 100입니다.","tags":["Conversations"]}}}}
```

## ID로 대화 상태 가져오기

> Check whether a conversation is currently running in the background.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"Conversations","description":"Folder related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}},"schemas":{"ConversationRunningStatusResponse":{"properties":{"isRunning":{"description":"백그라운드 실행 상태","title":"Isrunning","type":"boolean"}},"required":["isRunning"],"title":"ConversationRunningStatusResponse","type":"object"}}},"paths":{"/webapi/v2/conversations/{conversation_id}/running":{"get":{"operationId":"django_server_llm_app_views_rest_conversation_api_get_conversation_state_by_id","summary":"ID로 대화 상태 가져오기","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"in":"path","name":"conversation_id","schema":{"title":"Conversation Id","type":"string"},"required":true}],"responses":{"200":{"description":"알겠습니다","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConversationRunningStatusResponse"}}}},"400":{"description":"Invalid request parameters."},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"500":{"description":"Internal server error."}},"description":"Check whether a conversation is currently running in the background.","tags":["Conversations"]}}}}
```

## Stop Conversation

> Stop a running conversation.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"Conversations","description":"Folder related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}},"schemas":{"ConversationRunningStatusResponse":{"properties":{"isRunning":{"description":"백그라운드 실행 상태","title":"Isrunning","type":"boolean"}},"required":["isRunning"],"title":"ConversationRunningStatusResponse","type":"object"}}},"paths":{"/webapi/v2/conversations/{conversation_id}/stop":{"post":{"operationId":"django_server_llm_app_views_rest_conversation_api_stop_conversation","summary":"Stop Conversation","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"in":"path","name":"conversation_id","schema":{"title":"Conversation Id","type":"string"},"required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConversationRunningStatusResponse"}}}},"400":{"description":"Invalid request parameters."},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"500":{"description":"Internal server error."}},"description":"Stop a running conversation.","tags":["Conversations"]}}}}
```

## Get Chat

> Get a specific chat by ID from a conversation.\
> \
> This API is useful for verifying the message content after a streaming response from run\_apps API.\
> The response includes detailed chat information compatible with LLMResponse.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"Conversations","description":"Folder related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}},"schemas":{"ChatDetail":{"description":"Detailed chat information compatible with LLMResponse for run_apps API response verification.\n\nExtends Chat with additional fields for verifying streaming responses from run_apps API.","properties":{"id":{"description":"Unique ID of the chat","title":"Id","type":"string"},"type":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Node type of the chat","title":"Type"},"sender":{"description":"Sender Type","title":"Sender","type":"string"},"message":{"description":"Chat message","title":"Message","type":"string"},"source":{"anyOf":[{"$ref":"#/components/schemas/ChatInputSource"},{"type":"null"}],"description":"Source of the chat"},"timestamp":{"description":"Timestamp of the chat message creation time","title":"Timestamp","type":"number"},"completed":{"description":"Whether the chat generation is completed","title":"Completed","type":"boolean"},"citations":{"anyOf":[{"items":{"$ref":"#/components/schemas/Citation"},"type":"array"},{"type":"null"}],"description":"Citations information","title":"Citations"},"rating":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"Rating of the chat","title":"Rating"},"agentRating":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"Agent rating of the chat","title":"Agentrating"},"intermediateSteps":{"anyOf":[{"items":{"$ref":"#/components/schemas/IntermediateStepResponse"},"type":"array"},{"type":"null"}],"description":"Intermediate steps during chat generation","title":"Intermediatesteps"}},"required":["id","sender","message","timestamp","completed","citations","rating","agentRating"],"title":"ChatDetail","type":"object"},"ChatInputSource":{"description":"Chat input source information in response.","properties":{"knowledgeBaseIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of knowledge base IDs","title":"Knowledgebaseids"},"folderIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of folder IDs","title":"Folderids"},"webSites":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of web sites","title":"Websites"},"searchAllSharedDocument":{"default":false,"description":"Search all shared documents","title":"Searchallshareddocument","type":"boolean"},"searchAllPersonalDocument":{"default":false,"description":"Search all personal documents","title":"Searchallpersonaldocument","type":"boolean"},"includingHashtags":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"Including hashtags","title":"Includinghashtags"},"excludingHashtags":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"Excluding hashtags","title":"Excludinghashtags"},"includingHashtagsOperator":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Including hashtags operator","title":"Includinghashtagsoperator"},"excludingHashtagsOperator":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Excluding hashtags operator","title":"Excludinghashtagsoperator"},"sharedKnowledgeBases":{"anyOf":[{"items":{"$ref":"#/components/schemas/KnowledgeBaseInfo"},"type":"array"},{"type":"null"}],"description":"Shared knowledge bases with details","title":"Sharedknowledgebases"},"sharedFolders":{"anyOf":[{"items":{"$ref":"#/components/schemas/FolderInfo"},"type":"array"},{"type":"null"}],"description":"Shared folders with details","title":"Sharedfolders"},"personalKnowledgeBases":{"anyOf":[{"items":{"$ref":"#/components/schemas/KnowledgeBaseInfo"},"type":"array"},{"type":"null"}],"description":"Personal knowledge bases with details","title":"Personalknowledgebases"},"personalFolders":{"anyOf":[{"items":{"$ref":"#/components/schemas/FolderInfo"},"type":"array"},{"type":"null"}],"description":"Personal folders with details","title":"Personalfolders"}},"title":"ChatInputSource","type":"object"},"KnowledgeBaseInfo":{"description":"Knowledge base information in response.","properties":{"id":{"description":"Unique ID of the knowledge base","title":"Id","type":"string"},"name":{"description":"Name of the knowledge base","title":"Name","type":"string"}},"required":["id","name"],"title":"KnowledgeBaseInfo","type":"object"},"FolderInfo":{"description":"Folder information in response.","properties":{"id":{"description":"Unique ID of the folder","title":"Id","type":"string"},"name":{"description":"Name of the folder","title":"Name","type":"string"}},"required":["id","name"],"title":"FolderInfo","type":"object"},"Citation":{"properties":{"clueId":{"description":"단서의 고유 ID","title":"Clueid","type":"string"},"source":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"인용 출처","title":"Source"},"title":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"단서의 문서 제목","title":"Title"},"url":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"인용문의 URL","title":"Url"},"text":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"인용문 텍스트","title":"Text"}},"required":["clueId"],"title":"Citation","type":"object"},"IntermediateStepResponse":{"description":"Intermediate step information for chat generation progress.","properties":{"key":{"description":"Unique key for the step","title":"Key","type":"string"},"createdAt":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Timestamp when the step was created","title":"Createdat"},"completed":{"description":"Whether the step is completed","title":"Completed","type":"boolean"},"statusMessage":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Status message for the step","title":"Statusmessage"},"markdownMessage":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Markdown formatted message for the step","title":"Markdownmessage"}},"required":["key","completed"],"title":"IntermediateStepResponse","type":"object"}}},"paths":{"/webapi/v2/conversations/{conversation_id}/chats/{chat_id}":{"get":{"operationId":"django_server_llm_app_views_rest_conversation_api_get_conversation_chat_by_id","summary":"Get Chat","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"in":"path","name":"conversation_id","schema":{"title":"Conversation Id","type":"string"},"required":true},{"in":"path","name":"chat_id","schema":{"title":"Chat Id","type":"string"},"required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChatDetail"}}}},"400":{"description":"Invalid request parameters."},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"500":{"description":"Internal server error."}},"description":"Get a specific chat by ID from a conversation.\n\nThis API is useful for verifying the message content after a streaming response from run_apps API.\nThe response includes detailed chat information compatible with LLMResponse.","tags":["Conversations"]}}}}
```

## 아이디로 대화 대화 삭제

> Delete a specific chat message from a conversation.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"Conversations","description":"Folder related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}}},"paths":{"/webapi/v2/conversations/{conversation_id}/chats/{chat_id}":{"delete":{"operationId":"django_server_llm_app_views_rest_conversation_api_delete_conversation_chat_by_id","summary":"아이디로 대화 대화 삭제","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"in":"path","name":"conversation_id","schema":{"title":"Conversation Id","type":"string"},"required":true},{"in":"path","name":"chat_id","schema":{"title":"Chat Id","type":"string"},"required":true}],"responses":{"200":{"description":"알겠습니다."},"400":{"description":"Invalid request parameters."},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"500":{"description":"Internal server error."}},"description":"Delete a specific chat message from a conversation.","tags":["Conversations"]}}}}
```

## 대화 제목 업데이트

> 대화 제목 설정.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"Conversations","description":"Folder related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}},"schemas":{"Conversation":{"properties":{"id":{"description":"대화의 고유 ID","title":"Id","type":"string"},"title":{"description":"대화의 제목","title":"Title","type":"string"},"user":{"anyOf":[{"$ref":"#/components/schemas/User"},{"type":"null"}],"description":"유저 정보"},"createdAt":{"description":"대화 생성 시간","title":"Createdat","type":"number"},"lastChatTime":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"대화 마지막 대화 시간","title":"Lastchattime"},"isEnd":{"description":"대화가 완료되었습니까 아니면 안 되었습니까?","title":"Isend","type":"boolean"},"categories":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"대화 카테고리","title":"Categories"},"memo":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"대화 메모","title":"Memo"},"chats":{"description":"대화 정보","items":{"$ref":"#/components/schemas/Chat"},"title":"Chats","type":"array"},"chatCount":{"description":"총 대화 수","title":"Chatcount","type":"integer"},"llmApp":{"anyOf":[{"$ref":"#/components/schemas/LLMApp"},{"type":"null"}],"description":"LLM 앱 정보"},"variables":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"description":"변수","title":"Variables"}},"required":["id","title","user","createdAt","lastChatTime","isEnd","categories","memo","chats","chatCount","llmApp","variables"],"title":"Conversation","type":"object"},"User":{"properties":{"userId":{"description":"유저의 고유 ID","title":"Userid","type":"string"},"firstName":{"description":"유저의 이름","title":"Firstname","type":"string"},"lastName":{"description":"유저의 성씨","title":"Lastname","type":"string"}},"required":["userId","firstName","lastName"],"title":"User","type":"object"},"Chat":{"properties":{"id":{"description":"대화의 고유 ID","title":"Id","type":"string"},"type":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Node type of the chat","title":"Type"},"sender":{"description":"보내는 사람 유형","title":"Sender","type":"string"},"message":{"description":"대화 메시지","title":"Message","type":"string"},"source":{"anyOf":[{"$ref":"#/components/schemas/ChatInputSource"},{"type":"null"}],"description":"Source of the chat"},"timestamp":{"description":"대화 메시지 생성 시간의 타임스탬프","title":"Timestamp","type":"number"},"completed":{"description":"Whether the chat generation is completed","title":"Completed","type":"boolean"},"citations":{"anyOf":[{"items":{"$ref":"#/components/schemas/Citation"},"type":"array"},{"type":"null"}],"description":"인용 정보","title":"Citations"},"rating":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"대화 평가","title":"Rating"},"agentRating":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"대화의 에이전트 평가","title":"Agentrating"}},"required":["id","sender","message","timestamp","completed","citations","rating","agentRating"],"title":"Chat","type":"object"},"ChatInputSource":{"description":"Chat input source information in response.","properties":{"knowledgeBaseIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of knowledge base IDs","title":"Knowledgebaseids"},"folderIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of folder IDs","title":"Folderids"},"webSites":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of web sites","title":"Websites"},"searchAllSharedDocument":{"default":false,"description":"Search all shared documents","title":"Searchallshareddocument","type":"boolean"},"searchAllPersonalDocument":{"default":false,"description":"Search all personal documents","title":"Searchallpersonaldocument","type":"boolean"},"includingHashtags":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"Including hashtags","title":"Includinghashtags"},"excludingHashtags":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"Excluding hashtags","title":"Excludinghashtags"},"includingHashtagsOperator":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Including hashtags operator","title":"Includinghashtagsoperator"},"excludingHashtagsOperator":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Excluding hashtags operator","title":"Excludinghashtagsoperator"},"sharedKnowledgeBases":{"anyOf":[{"items":{"$ref":"#/components/schemas/KnowledgeBaseInfo"},"type":"array"},{"type":"null"}],"description":"Shared knowledge bases with details","title":"Sharedknowledgebases"},"sharedFolders":{"anyOf":[{"items":{"$ref":"#/components/schemas/FolderInfo"},"type":"array"},{"type":"null"}],"description":"Shared folders with details","title":"Sharedfolders"},"personalKnowledgeBases":{"anyOf":[{"items":{"$ref":"#/components/schemas/KnowledgeBaseInfo"},"type":"array"},{"type":"null"}],"description":"Personal knowledge bases with details","title":"Personalknowledgebases"},"personalFolders":{"anyOf":[{"items":{"$ref":"#/components/schemas/FolderInfo"},"type":"array"},{"type":"null"}],"description":"Personal folders with details","title":"Personalfolders"}},"title":"ChatInputSource","type":"object"},"KnowledgeBaseInfo":{"description":"Knowledge base information in response.","properties":{"id":{"description":"Unique ID of the knowledge base","title":"Id","type":"string"},"name":{"description":"Name of the knowledge base","title":"Name","type":"string"}},"required":["id","name"],"title":"KnowledgeBaseInfo","type":"object"},"FolderInfo":{"description":"Folder information in response.","properties":{"id":{"description":"Unique ID of the folder","title":"Id","type":"string"},"name":{"description":"Name of the folder","title":"Name","type":"string"}},"required":["id","name"],"title":"FolderInfo","type":"object"},"Citation":{"properties":{"clueId":{"description":"단서의 고유 ID","title":"Clueid","type":"string"},"source":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"인용 출처","title":"Source"},"title":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"단서의 문서 제목","title":"Title"},"url":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"인용문의 URL","title":"Url"},"text":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"인용문 텍스트","title":"Text"}},"required":["clueId"],"title":"Citation","type":"object"},"LLMApp":{"properties":{"id":{"description":"LLM 앱의 고유 ID","title":"Id","type":"string"},"name":{"description":"LLM 앱의 이름","title":"Name","type":"string"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"LLM 앱 설명","title":"Description"}},"required":["id","name"],"title":"LLMApp","type":"object"},"SetConversationTitleRequest":{"properties":{"title":{"description":"대화의 제목","title":"Title","type":"string"}},"required":["title"],"title":"SetConversationTitleRequest","type":"object"}}},"paths":{"/webapi/v2/conversations/{conversation_id}/title":{"put":{"operationId":"django_server_llm_app_views_rest_conversation_api_update_conversation_title","summary":"대화 제목 업데이트","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"in":"path","name":"conversation_id","schema":{"title":"Conversation Id","type":"string"},"required":true}],"responses":{"200":{"description":"알겠습니다","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Conversation"}}}},"400":{"description":"Invalid request parameters."},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"500":{"description":"Internal server error."}},"description":"대화 제목 설정.","tags":["Conversations"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SetConversationTitleRequest"}}},"required":true}}}}}
```

## 피드백 게시하기

> Submit a thumbs-up or thumbs-down feedback on a generated chat response. Negative feedback can include a suggested answer and feedback selections.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"Conversations","description":"Folder related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}},"schemas":{"FeedbackResponse":{"properties":{"conversationId":{"title":"Conversationid","type":"string"},"chatId":{"title":"Chatid","type":"string"},"rating":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Rating"}},"required":["conversationId","chatId"],"title":"FeedbackResponse","type":"object"},"FeedbackRequest":{"properties":{"rating":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"대화에 대한 평가","title":"Rating"},"feedbackSelection":{"anyOf":[{"items":{"$ref":"#/components/schemas/UserAnswerFeedbackSelection"},"type":"array"},{"type":"null"}],"description":"피드백 선택","title":"Feedbackselection"},"suggestedAnswer":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"제안된 답변","title":"Suggestedanswer"}},"title":"FeedbackRequest","type":"object"},"UserAnswerFeedbackSelection":{"enum":["not_relevant","inaccurate","not_best_answer","wrong_intent","too_slow","low_quality","etc"],"title":"UserAnswerFeedbackSelection","type":"string"}}},"paths":{"/webapi/v2/conversations/{conversation_id}/chats/{chat_id}/feedback":{"post":{"operationId":"django_server_llm_app_views_rest_conversation_api_post_feedbacks","summary":"피드백 게시하기","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"in":"path","name":"conversation_id","schema":{"title":"Conversation Id","type":"string"},"required":true},{"in":"path","name":"chat_id","schema":{"title":"Chat Id","type":"string"},"required":true}],"responses":{"200":{"description":"알겠습니다.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FeedbackResponse"}}}},"400":{"description":"Invalid request parameters."},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"500":{"description":"Internal server error."}},"description":"Submit a thumbs-up or thumbs-down feedback on a generated chat response. Negative feedback can include a suggested answer and feedback selections.","tags":["Conversations"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FeedbackRequest"}}},"required":true}}}}}
```

## 대화 카테고리 목록

> List all conversation categories in the project.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"Conversations","description":"Folder related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}},"schemas":{"ConversationCategoriesResponse":{"properties":{"categories":{"items":{"$ref":"#/components/schemas/ConversationCategoryResponse"},"title":"Categories","type":"array"}},"required":["categories"],"title":"ConversationCategoriesResponse","type":"object"},"ConversationCategoryResponse":{"properties":{"categoryId":{"description":"카테고리의 고유 ID","title":"Categoryid","type":"string"},"name":{"description":"카테고리 이름","title":"Name","type":"string"}},"required":["categoryId","name"],"title":"ConversationCategoryResponse","type":"object"}}},"paths":{"/webapi/v2/conversation_categories":{"get":{"operationId":"django_server_llm_app_views_rest_conversation_category_api_list_conversation_categories","summary":"대화 카테고리 목록","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"}],"responses":{"200":{"description":"네","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConversationCategoriesResponse"}}}},"400":{"description":"Invalid request parameters."},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"500":{"description":"Internal server error."}},"description":"List all conversation categories in the project.","tags":["Conversations"]}}}}
```

## 대화 카테고리 생성

> Create a new conversation category with the given name.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"Conversations","description":"Folder related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}},"schemas":{"ConversationCategoryResponse":{"properties":{"categoryId":{"description":"카테고리의 고유 ID","title":"Categoryid","type":"string"},"name":{"description":"카테고리 이름","title":"Name","type":"string"}},"required":["categoryId","name"],"title":"ConversationCategoryResponse","type":"object"},"CreateConversationCategoryRequest":{"properties":{"name":{"title":"Name","type":"string"}},"required":["name"],"title":"CreateConversationCategoryRequest","type":"object"}}},"paths":{"/webapi/v2/conversation_categories":{"post":{"operationId":"django_server_llm_app_views_rest_conversation_category_api_create_conversation_category","summary":"대화 카테고리 생성","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"}],"responses":{"200":{"description":"알겠습니다.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConversationCategoryResponse"}}}},"400":{"description":"Invalid request parameters."},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"500":{"description":"Internal server error."}},"description":"Create a new conversation category with the given name.","tags":["Conversations"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateConversationCategoryRequest"}}},"required":true}}}}}
```

## 대화 카테고리 삭제

> Delete a conversation category by ID.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"Conversations","description":"Folder related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}}},"paths":{"/webapi/v2/conversation_categories/{conversation_category_id}":{"delete":{"operationId":"django_server_llm_app_views_rest_conversation_category_api_delete_conversation_category","summary":"대화 카테고리 삭제","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"in":"path","name":"conversation_category_id","schema":{"title":"Conversation Category Id","type":"string"},"required":true}],"responses":{"200":{"description":"확인"},"400":{"description":"Invalid request parameters."},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"500":{"description":"Internal server error."}},"description":"Delete a conversation category by ID.","tags":["Conversations"]}}}}
```

## 채팅 완성

> 검색 없이 LLM을 직접 호출합니다.\
> \
> Mally의 LLM 인프라(모델 라우팅, 과금)를 경유합니다.\
> 'mode' 필드를 통해 동기 및 스트리밍 모드 모두 지원합니다.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"Conversations","description":"Folder related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}},"schemas":{"ChatCompletionsRequest":{"properties":{"messages":{"description":"Conversation messages","items":{"$ref":"#/components/schemas/ChatMessage"},"title":"Messages","type":"array"},"model":{"default":"gpt4_o","description":"LLM model name (Mally internal name)","title":"Model","type":"string"},"temperature":{"default":0.3,"description":"Sampling temperature","title":"Temperature","type":"number"},"mode":{"default":"sync","description":"sync or stream","enum":["sync","stream"],"title":"Mode","type":"string"},"max_tokens":{"default":2048,"description":"Max completion tokens","title":"Max Tokens","type":"integer"}},"required":["messages"],"title":"ChatCompletionsRequest","type":"object"},"ChatMessage":{"properties":{"role":{"description":"Role: system, developer, user, assistant","enum":["system","developer","assistant","user"],"title":"Role","type":"string"},"content":{"description":"Message content","title":"Content","type":"string"}},"required":["role","content"],"title":"ChatMessage","type":"object"}}},"paths":{"/webapi/v2/chat/completions":{"post":{"operationId":"django_server_llm_app_views_rest_chat_completions_api_chat_completions","summary":"채팅 완성","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"}],"responses":{"200":{"description":"OK"},"400":{"description":"Invalid request parameters."},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"500":{"description":"Internal server error."}},"description":"검색 없이 LLM을 직접 호출합니다.\n\nMally의 LLM 인프라(모델 라우팅, 과금)를 경유합니다.\n'mode' 필드를 통해 동기 및 스트리밍 모드 모두 지원합니다.","tags":["Conversations"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChatCompletionsRequest"}}},"required":true}}}}}
```

## 일일 대화 횟수

> 주어진 범위에 대한 하루 총 대화 수.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"Conversations","description":"Folder related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}}},"paths":{"/webapi/conversation_daily_count":{"get":{"tags":["Conversations"],"operationId":"conversationDailyCount","summary":"일일 대화 횟수","description":"주어진 범위에 대한 하루 총 대화 수.","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"startDate":{"type":"string","description":"YYYY-MM-DD 형식으로 조회할 날짜 범위의 시작."},"endDate":{"type":"string","description":"조회할 날짜 범위의 끝(YYYY-MM-DD 형식)."}}}}}},"responses":{"200":{"description":"성공적으로 검색된 일일 대화 횟수","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"object","properties":{"dailyTotalCount":{"type":"array","description":"날짜와 activeCount 쌍의 목록으로, 여기서 activeCount는 해당 날짜의 대화 수입니다.","items":{"type":"object","properties":{"date":{"type":"string","description":"YYYY-MM-DD 형식의 날짜"},"activeCount":{"type":"integer","description":"이 날짜의 대화 수"}}}},"state":{"type":"string","description":"요청 상태"},"campaignCount":{"type":"integer","description":"캠페인 수"}}},"errors":{"type":"object","nullable":true}}}}}},"400":{"description":"Invalid request parameters."},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"500":{"description":"Internal server error."}},"parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"}]}}}}
```
